import JinChuKouXinYongZhengVue from '@/components/DetailCustom/JinChuKouXinYongZheng.vue'
import { $goOuterUrl } from '@/utils/utils'
import { shallowRef } from 'vue'
import { DemensionPagesInter } from './../../types'

export const JingYingXinXi: DemensionPagesInter = {
  projectName: '基本信息',
  list: [
    {
      code: 'eci_bidding',
      routing: 'ZhaoTouBiao',
      title: '招投标',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '来源',
          value: 'link',
          solt: () => `
          <span class="link">
            原始链接
          </span>`,
          customClick: (item: { link: string }) => {
            console.log(item)
            $goOuterUrl(item.link)
          }
        },
        {
          value: 'publishTime',
          name: '发布日期',
          valueType: 'date'
        },
        {
          name: '省份',
          value: 'province'
        },
        {
          name: '代理机构',
          value: 'proxy'
        },
        {
          name: '标书类型',
          value: 'type'
        },
        {
          name: '标的类型',
          value: 'items'
        },
        {
          name: '采购人信息',
          listVal: 'purchaserInfo',
          value: 'name',
          companyId: 'keyno'
        },
        {
          name: '供应商信息',
          listVal: 'supplierInfo',
          value: 'name',
          companyId: 'keyno'
        },
        {
          name: '招投标正文',
          value: 'intro',
          valueType: 'richText'
        }
      ],
      viewList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '省份',
          value: 'province'
        },
        {
          name: '采购人信息',
          listVal: 'purchaserInfo',
          companyId: 'keyno',
          value: 'name'
        },
        {
          name: '供应商信息',
          listVal: 'supplierInfo',
          companyId: 'keyno',
          value: 'name'
        },
        {
          name: '发布日期',
          value: 'publishTime',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'eci_recruitment',
      routing: 'ZhaoPinXinXi',
      title: '招聘信息',
      companyId: '88f04cbfab150fe2bccdeec3aea32750',
      detailList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '薪资',
          value: 'oriSalary'
        },
        {
          name: '招聘公司',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '招聘类别',
          value: 'class'
        },
        {
          name: '招聘人数',
          value: 'employNum'
        },
        {
          name: '工作经验',
          value: 'experience'
        },
        {
          name: '所在城市',
          solt: (item: { city: string; district: string }) => {
            return `<span>${item.city || '-'} ${item.district || '-'}</span>`
          },
          value: 'district'
        },
        {
          name: '办公地点',
          value: 'location'
        },
        {
          name: '信息来源',
          value: 'source'
        },
        {
          name: '招聘开始日期',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '招聘截止日期',
          value: 'endDate',
          valueType: 'date'
        },
        {
          name: '职位描述',
          solt: (item: { description: string }) => {
            return `<span>${item.description.replace('[', '').replace(']', '')}</span>`
          },
          value: 'description'
          // valueType: 'date'
        }
      ],
      viewList: [
        {
          value: 'title',
          valueType: 'title'
        },
        {
          name: '薪资',
          value: 'oriSalary'
        },
        {
          name: '办公地点',
          value: 'location'
        },
        {
          name: '工作经验',
          value: 'experience'
        },
        {
          name: '招聘开始日期',
          value: 'startDate',
          valueType: 'date'
        },
        {
          name: '招聘结束日期',
          value: 'endDate',
          valueType: 'date'
        }
      ]
    },
    {
      code: 'special_qualification',
      routing: 'TeShuZiZhi',
      title: '特殊资质',
      companyId: '25bca6102d624eb7f48846d7468d03a6',
      apiUrl: 'firefly-erp/eci/dimension/detail',
      viewList: [
        {
          name: '资质类别',
          value: 'category'
        },
        {
          name: '证书编号',
          value: 'certNo'
        },
        {
          name: '资质名称',
          value: 'certName'
        },
        {
          name: '发证日期',
          value: 'signDate'
        },
        {
          name: '证书有效期',
          value: 'validPeriod'
        },
        {
          name: '发证机关',
          value: 'signDept'
        }
      ]
    },
    {
      code: 'import_export_credit',
      routing: 'JinChuKouXinYongZheng',
      title: '进出口信用证',
      companyId: 'c8af755fa8b42a2e8201be4137c69290',
      detailCustomRender: shallowRef(JinChuKouXinYongZhengVue),
      viewList: [
        {
          name: '企业名称',
          value: 'companyName',
          companyId: 'companyId'
        },
        {
          name: '注册海关',
          value: 'customsRegisteredAddress'
        },
        {
          name: '经营类别',
          value: 'managementCategory'
        },
        {
          name: '行业种类',
          value: 'industryCategory'
        },
        {
          name: '海关注销标志',
          value: 'status'
        },
        {
          name: '注册日期',
          value: 'recordDate',
          valueType: 'date'
        }
      ]
    },
    {
      //未完成
      code: 'permission_eci',
      routing: 'XingZhenXuKe',
      title: '行政许可',
      companyId: 'a10a3675d3f4e38af372dcd8eddce29f'
    }
  ]
}
